<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="fe5d6d3b-99d2-4bfc-9dea-34f77ff02bd0" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/resources/views/admin/list-all-people.blade.php" beforeDir="false" afterPath="$PROJECT_DIR$/resources/views/admin/list-all-people.blade.php" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/vendor/beyondcode/laravel-dump-server/" />
    <ignored path="$PROJECT_DIR$/vendor/composer/" />
    <ignored path="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir/" />
    <ignored path="$PROJECT_DIR$/vendor/doctrine/inflector/" />
    <ignored path="$PROJECT_DIR$/vendor/doctrine/instantiator/" />
    <ignored path="$PROJECT_DIR$/vendor/doctrine/lexer/" />
    <ignored path="$PROJECT_DIR$/vendor/dragonmantank/cron-expression/" />
    <ignored path="$PROJECT_DIR$/vendor/egulias/email-validator/" />
    <ignored path="$PROJECT_DIR$/vendor/erusev/parsedown/" />
    <ignored path="$PROJECT_DIR$/vendor/fideloper/proxy/" />
    <ignored path="$PROJECT_DIR$/vendor/filp/whoops/" />
    <ignored path="$PROJECT_DIR$/vendor/fzaninotto/faker/" />
    <ignored path="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php/" />
    <ignored path="$PROJECT_DIR$/vendor/jakub-onderka/php-console-color/" />
    <ignored path="$PROJECT_DIR$/vendor/jakub-onderka/php-console-highlighter/" />
    <ignored path="$PROJECT_DIR$/vendor/laravel/framework/" />
    <ignored path="$PROJECT_DIR$/vendor/laravel/tinker/" />
    <ignored path="$PROJECT_DIR$/vendor/league/flysystem/" />
    <ignored path="$PROJECT_DIR$/vendor/mockery/mockery/" />
    <ignored path="$PROJECT_DIR$/vendor/monolog/monolog/" />
    <ignored path="$PROJECT_DIR$/vendor/myclabs/deep-copy/" />
    <ignored path="$PROJECT_DIR$/vendor/nesbot/carbon/" />
    <ignored path="$PROJECT_DIR$/vendor/nikic/php-parser/" />
    <ignored path="$PROJECT_DIR$/vendor/nunomaduro/collision/" />
    <ignored path="$PROJECT_DIR$/vendor/opis/closure/" />
    <ignored path="$PROJECT_DIR$/vendor/paragonie/random_compat/" />
    <ignored path="$PROJECT_DIR$/vendor/phar-io/manifest/" />
    <ignored path="$PROJECT_DIR$/vendor/phar-io/version/" />
    <ignored path="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common/" />
    <ignored path="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock/" />
    <ignored path="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver/" />
    <ignored path="$PROJECT_DIR$/vendor/phpoption/phpoption/" />
    <ignored path="$PROJECT_DIR$/vendor/phpspec/prophecy/" />
    <ignored path="$PROJECT_DIR$/vendor/phpunit/php-code-coverage/" />
    <ignored path="$PROJECT_DIR$/vendor/phpunit/php-file-iterator/" />
    <ignored path="$PROJECT_DIR$/vendor/phpunit/php-text-template/" />
    <ignored path="$PROJECT_DIR$/vendor/phpunit/php-timer/" />
    <ignored path="$PROJECT_DIR$/vendor/phpunit/php-token-stream/" />
    <ignored path="$PROJECT_DIR$/vendor/phpunit/phpunit/" />
    <ignored path="$PROJECT_DIR$/vendor/psr/container/" />
    <ignored path="$PROJECT_DIR$/vendor/psr/log/" />
    <ignored path="$PROJECT_DIR$/vendor/psr/simple-cache/" />
    <ignored path="$PROJECT_DIR$/vendor/psy/psysh/" />
    <ignored path="$PROJECT_DIR$/vendor/ramsey/uuid/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/comparator/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/diff/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/environment/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/exporter/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/global-state/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/object-enumerator/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/object-reflector/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/recursion-context/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/resource-operations/" />
    <ignored path="$PROJECT_DIR$/vendor/sebastian/version/" />
    <ignored path="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/console/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/css-selector/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/debug/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/event-dispatcher/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/finder/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/http-foundation/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/http-kernel/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/mime/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/polyfill-ctype/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/polyfill-iconv/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/polyfill-php72/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/polyfill-php73/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/process/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/routing/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/service-contracts/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/translation/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/translation-contracts/" />
    <ignored path="$PROJECT_DIR$/vendor/symfony/var-dumper/" />
    <ignored path="$PROJECT_DIR$/vendor/theseer/tokenizer/" />
    <ignored path="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles/" />
    <ignored path="$PROJECT_DIR$/vendor/vlucas/phpdotenv/" />
    <ignored path="$PROJECT_DIR$/vendor/webmozart/assert/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="FileEditorManager">
    <splitter split-orientation="horizontal" split-proportion="0.5">
      <split-first>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/app/Http/Controllers/TableActivityControllers.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="238">
                  <caret line="21" column="2" selection-start-line="21" selection-start-column="2" selection-end-line="29" />
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/resources/views/admin/create-qr-code.blade.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="1122">
                  <caret line="66" column="37" selection-start-line="66" selection-start-column="37" selection-end-line="66" selection-end-column="37" />
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/package.json">
              <provider selected="true" editor-type-id="text-editor" />
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/app/Http/Controllers/ActivityControllers.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="714">
                  <caret line="51" column="42" selection-start-line="51" selection-start-column="42" selection-end-line="51" selection-end-column="42" />
                  <folding>
                    <element signature="e#6#89#0#PHP" expanded="true" />
                    <element signature="e#124#166#0#PHP" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/app/Http/Controllers/CheckNameSutdentControllers.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="1122">
                  <caret line="74" selection-start-line="74" selection-end-line="74" />
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/resources/views/admin/activity.blade.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="2482">
                  <caret line="146" column="43" selection-start-line="146" selection-start-column="43" selection-end-line="146" selection-end-column="43" />
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/resources/views/admin/list-all-people.blade.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="2091">
                  <caret line="123" column="56" selection-start-line="123" selection-start-column="42" selection-end-line="123" selection-end-column="56" />
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/resources/views/admin/add-activity.blade.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="612">
                  <caret line="36" column="31" selection-start-line="33" selection-start-column="23" selection-end-line="36" selection-end-column="31" />
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-first>
      <split-second>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/resources/views/admin/list-all-people.blade.php">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="319">
                  <caret line="123" column="12" selection-start-line="123" selection-start-column="12" selection-end-line="123" selection-end-column="12" />
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-second>
    </splitter>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>รายชื่ือทั้งหมด</find>
      <find>ชมรมนักศึกษาวิชาทหาร มหาวิทยาลัยราชภัฏภูเก็ต</find>
      <find>NSTPK.COM</find>
      <find>NSTPK.COM</find>
      <find>check-name</find>
      <find>/logonst.png</find>
      <find>โครงการ</find>
      <find>นศท</find>
      <find>หลักศูตร</find>
      <find>มหาวิทยาลัย</find>
    </findStrings>
    <replaceStrings>
      <replace />
      <replace>รายชื่อทั้งหมด</replace>
      <replace>โรงเรียนอวกาศ</replace>
      <replace>/logo.png</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/Http/Controllers/ActivityControllers.php" />
        <option value="$PROJECT_DIR$/storage/framework/views/2515588ea68932ad8a168052bdf075d5267b76e7.php" />
        <option value="$PROJECT_DIR$/resources/views/template/template.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/template/template-user/template.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/template.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/add-activity.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/CheckNameSutdentControllers.php" />
        <option value="$PROJECT_DIR$/app/Libraries/NotifyLineLibraries.php" />
        <option value="$PROJECT_DIR$/resources/views/index.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/check-name.blade.php" />
        <option value="$PROJECT_DIR$/storage/framework/views/e5baac4e4154a059565e4e1b8abdb315e7a29900.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/activity.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/ListAllPeopleControllers.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/create-qr-code.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/list-all-people.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/TableActivityControllers.php" />
        <option value="$PROJECT_DIR$/.env" />
      </list>
    </option>
  </component>
  <component name="PackageJsonUpdateNotifier">
    <dismissed value="$PROJECT_DIR$/package.json" />
  </component>
  <component name="PhpServers">
    <servers />
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/beyondcode/laravel-dump-server" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/paragonie/random_compat" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-color" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-highlighter" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation-contracts" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php73" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/mime" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/symfony/debug" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/erusev/parsedown" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/fzaninotto/faker" />
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="2010" />
    <option name="y" value="30" />
    <option name="width" value="1549" />
    <option name="height" value="1036" />
  </component>
  <component name="ProjectId" id="1aTlwoBS88JRuLQ5FwZ7g2uT3j7" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="nst" type="b2602c69:ProjectViewProjectNode" />
              <item name="nst" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nst" type="b2602c69:ProjectViewProjectNode" />
              <item name="nst" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nst" type="b2602c69:ProjectViewProjectNode" />
              <item name="nst" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nst" type="b2602c69:ProjectViewProjectNode" />
              <item name="nst" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../project0-master" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="vcs.Git" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\MAMP\htdocs\nst_laravel\public" />
      <recent name="C:\MAMP\htdocs\nst_laravel\resources" />
      <recent name="C:\MAMP\htdocs\nst_laravel\routes" />
      <recent name="C:\MAMP\htdocs\nst_laravel\app" />
      <recent name="C:\MAMP\htdocs\nst_laravel\app\Http" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/resources/views/admin" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand />
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="fe5d6d3b-99d2-4bfc-9dea-34f77ff02bd0" name="Default Changelist" comment="" />
      <created>1562818064762</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1562818064762</updated>
      <workItem from="1562818066358" duration="941000" />
      <workItem from="1563091313669" duration="21083000" />
      <workItem from="1563243399787" duration="2018000" />
      <workItem from="1563260015077" duration="2083000" />
      <workItem from="1563294662884" duration="60000" />
      <workItem from="1563330946786" duration="9177000" />
      <workItem from="1563345711758" duration="12740000" />
      <workItem from="1563374878759" duration="7753000" />
      <workItem from="1563416005461" duration="131000" />
      <workItem from="1563424496045" duration="26039000" />
      <workItem from="1586767712406" duration="4000" />
      <workItem from="1586767764799" duration="2747000" />
      <workItem from="1586770572545" duration="56000" />
      <workItem from="1586770799741" duration="2515000" />
      <workItem from="1586775704911" duration="326000" />
      <workItem from="1586776086842" duration="960000" />
      <workItem from="1586777498096" duration="5062000" />
      <workItem from="1586847694487" duration="171000" />
      <workItem from="1586848236446" duration="16000" />
      <workItem from="1590608886890" duration="550000" />
      <workItem from="1590609472764" duration="153000" />
      <workItem from="1590609658682" duration="1479000" />
      <workItem from="1592273134327" duration="28000" />
      <workItem from="1592654573131" duration="427000" />
      <workItem from="1592893947058" duration="10000" />
      <workItem from="1602325534318" duration="116000" />
      <workItem from="1604751634248" duration="142000" />
      <workItem from="1617594294796" duration="600000" />
      <workItem from="1617596147284" duration="8955000" />
      <workItem from="1617631511340" duration="379000" />
      <workItem from="1617631922451" duration="682000" />
      <workItem from="1618066593850" duration="49000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="13570000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="1912" y="22" width="1696" height="1036" extended-state="6" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.17848411" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.33668342" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="WindowStateProjectService">
    <state x="718" y="358" key="#com.intellij.fileTypes.FileTypeChooser" timestamp="1586783480902">
      <screen x="0" y="30" width="1920" height="1050" />
    </state>
    <state x="718" y="358" key="#com.intellij.fileTypes.FileTypeChooser/1920.56.1680.1020/0.30.1920.1050@0.30.1920.1050" timestamp="1586783480902" />
    <state x="740" y="310" key="FileChooserDialogImpl" timestamp="1586783257146">
      <screen x="0" y="30" width="1920" height="1050" />
    </state>
    <state x="740" y="310" key="FileChooserDialogImpl/1920.56.1680.1020/0.30.1920.1050@0.30.1920.1050" timestamp="1586783257146" />
    <state x="2568" y="328" key="FileChooserDialogImpl/1920.56.1680.1020/0.30.1920.1050@1920.56.1680.1020" timestamp="1586771278110" />
    <state x="613" y="386" key="com.intellij.ide.util.TipDialog" timestamp="1586776949329">
      <screen x="0" y="30" width="1920" height="1050" />
    </state>
    <state x="613" y="386" key="com.intellij.ide.util.TipDialog/1920.56.1680.1020/0.30.1920.1050@0.30.1920.1050" timestamp="1586776949329" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/Model/CheckNameSutdentModel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="11" column="6" selection-start-line="11" selection-start-column="6" selection-end-line="11" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Repositories/AddListRepositories.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="12" column="6" selection-start-line="12" selection-start-column="6" selection-end-line="12" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Libraries/CenterLibraries.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="11" column="6" selection-start-line="11" selection-start-column="6" selection-end-line="11" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Libraries/CheckNameSutdentLibraries.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="11" column="6" selection-start-line="11" selection-start-column="6" selection-end-line="11" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Libraries/AddListLibraries.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="11" column="6" selection-start-line="11" selection-start-column="6" selection-end-line="11" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/LoginControllers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="13" column="6" selection-start-line="13" selection-start-column="6" selection-end-line="13" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/js/bootstrap.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-30" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/js/jquery-3.3.1.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-18573">
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/js/dataTables.bootstrap4.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/js/jquery.dataTables.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/js/jquery-1.11.1.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/ถ.php" />
    <entry file="file://$PROJECT_DIR$/public/js/javascript.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="283">
          <caret line="21" column="1" selection-start-line="21" selection-start-column="1" selection-end-line="21" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/xxxxx.php" />
    <entry file="file://$PROJECT_DIR$/storage/framework/views/2515588ea68932ad8a168052bdf075d5267b76e7.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="61" column="67" selection-start-line="61" selection-start-column="67" selection-end-line="61" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/menu.blade.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/template.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="20" selection-start-line="3" selection-start-column="20" selection-end-line="3" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/meta.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="18" selection-start-line="3" selection-start-column="18" selection-end-line="3" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="30" column="61" selection-start-line="30" selection-start-column="61" selection-end-line="30" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Repositories/AddActivityRepositories.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="13" column="6" selection-start-line="13" selection-start-column="6" selection-end-line="13" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Libraries/AddActivityLibraries.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="13" column="6" selection-start-line="13" selection-start-column="6" selection-end-line="13" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Repositories/NotifyLineRepositories.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="12" column="6" selection-start-line="12" selection-start-column="6" selection-end-line="12" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/add-list.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="405">
          <caret line="29" column="29" selection-start-line="29" selection-start-column="29" selection-end-line="29" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/check-name.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="630">
          <caret line="42" column="157" selection-start-line="42" selection-start-column="157" selection-end-line="42" selection-end-column="157" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="525">
          <caret line="35" column="17" selection-start-line="35" selection-start-column="17" selection-end-line="35" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Libraries/NotifyLineLibraries.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="22" column="27" selection-start-line="22" selection-start-column="27" selection-end-line="22" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/AddActivityControllers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="1" selection-start-line="15" selection-start-column="1" selection-end-line="15" selection-end-column="1" />
          <folding>
            <element signature="e#6#89#0#PHP" expanded="true" />
            <element signature="e#123#162#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/ListAllPeopleControllers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="663">
          <caret line="47" column="48" selection-start-line="47" selection-start-column="48" selection-end-line="47" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/create-qr-code.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1122">
          <caret line="66" column="37" selection-start-line="66" selection-start-column="37" selection-end-line="66" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/ActivityControllers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="714">
          <caret line="51" column="42" selection-start-line="51" selection-start-column="42" selection-end-line="51" selection-end-column="42" />
          <folding>
            <element signature="e#6#89#0#PHP" expanded="true" />
            <element signature="e#124#166#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/CheckNameSutdentControllers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1122">
          <caret line="74" selection-start-line="74" selection-end-line="74" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/activity.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2482">
          <caret line="146" column="43" selection-start-line="146" selection-start-column="43" selection-end-line="146" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/add-activity.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="612">
          <caret line="36" column="31" selection-start-line="33" selection-start-column="23" selection-end-line="36" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/list-all-people.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2091">
          <caret line="123" column="56" selection-start-line="123" selection-start-column="42" selection-end-line="123" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="17" column="21" selection-start-line="17" selection-start-column="21" selection-end-line="17" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/composer.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1" column="20" selection-start-line="1" selection-start-column="13" selection-end-line="1" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/TableActivityControllers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="21" column="2" selection-start-line="21" selection-start-column="2" selection-end-line="29" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="Copyright.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>